Skip to content

Save admin-managed API-key credentials

POST /admin/managedAuth

Stores or removes account-scoped or extension-scoped managed API-key values for the connector selected by userJwt. RingCentral administrator validation is required, and submitted credential values must be treated as secrets.

Operation ID: postAdminManagedAuth
Authorization: BEARER and API key or BEARER and API key or API key and API key or API key and API key

Request body

Account-scoped or user-scoped managed authentication values.

Required: Yes

Content type: application/json

Schema: ManagedAuthUpdateRequest

{
  "scope": "org",
  "values": {
    "tenantId": "tenant.example"
  },
  "fieldsToRemove": [
    "legacyTenantId"
  ]
}

Responses

Status Description Body
200 The managed authentication values were updated. AdminSuccessMessage
400 Bad request, missing authentication, or connector error. ErrorResponse, string
403 The caller is authenticated but is not permitted to perform the operation. ErrorResponse, string